#! /bin/bash

cur_glibc=$(ldd --version | awk '/ldd/{print $NF}')

export LD_LIBRARY_PATH=/opt/apps/com.cvte.exceedshare/files/lib

if [[ "$cur_glibc" == "2.28" && "$XDG_SESSION_TYPE" == "wayland" ]]; then
    echo "wayland and glibc2.28, maybe not support"
    # export XDG_SESSION_TYPE=x11
    # VideoSource会读取
    # export VIDEO_SOURCE_USE_X11_CAPTURER=1
fi

# 目前linuxdeployqt打包的软传不会拷贝wayland相关的plugins, 只能使用xcb
export QT_QPA_PLATFORM="xcb;wayland"

# 防止使用了系统自身的qt库
export QT_PLUGIN_PATH="/opt/apps/com.cvte.exceedshare/files/plugins"

/opt/apps/com.cvte.exceedshare/files/bin/ExceedShare
